﻿@model BeerIndexViewModel
@{
    Layout = "_Layout";
}


<body>

    <form class="form" method="post" asp-action="FilterStyle" style="margin-bottom:30px">

        <div class="form__field field" style="display:flex">
            <h3>Sorting by style ID: @Model.StyleIdToFilter</h3>
            <select asp-for="StyleIdToFilter" asp-items="Model.StylesDropDown" value="@Model.StyleIdToFilter"></select>
            <span class="field__validation-message" asp-validation-for="StyleIdToFilter"></span>
        </div>

        <div class="form__field field" style="display:flex">
            <h3>Sorting by brewery ID: @Model.BreweryIdToFilter</h3>
            <select asp-for="BreweryIdToFilter" asp-items="Model.BreweriesDropDown" value="@Model.BreweryIdToFilter"></select>
            <span class="field__validation-message" asp-validation-for="BreweryIdToFilter"></span>
        </div>

        <div style="display:flex">
            <h3>Order by ABV: </h3>
            @Html.EditorFor(x => x.OrderByABV)
        </div>

        <div style="display:flex">
            <h3>Search: </h3>
            <input type="search" asp-for="Query" value="@Model.Query" />
        </div>



        <div class="form__buttons buttons">
            <button type="submit">Submit options</button>
        </div>
    </form>

    @if (User.Identity.IsAuthenticated)
    {

        if (User.IsInRole("Admin"))
        {
            <p>
                <a asp-action="Create">Create New</a>
            </p>

        }
    }

    <table class="table">
        <thead>
            <tr class="row">
                <th class="col-sm">
                    @Html.DisplayNameFor(model => model.BeersList[0].Name)
                </th>
                <th class="col-sm">
                    @Html.DisplayNameFor(model => model.BeersList[0].Description)
                </th>
                <th class="col-sm">
                    @Html.DisplayNameFor(model => model.BeersList[0].Brand)
                </th>
                <th class="col-sm">
                    @Html.DisplayNameFor(model => model.BeersList[0].BreweryId)
                </th>
                <th class="col-sm">
                    @Html.DisplayNameFor(model => model.BeersList[0].ABV)
                </th>
                <th class="col-sm">
                    @Html.DisplayNameFor(model => model.BeersList[0].StyleId)
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model.BeersList)
            {
                <tr class="row">
                    <td class="col-sm">
                        @Html.DisplayFor(modelItem => item.Name)
                    </td>
                    <td class="col-sm">
                        @Html.DisplayFor(modelItem => item.Description)
                    </td>
                    <td class="col-sm">
                        @Html.DisplayFor(modelItem => item.Brand)
                    </td>
                    <td class="col-sm">
                        @Html.DisplayFor(modelItem => item.BreweryId)
                    </td>
                    <td class="col-sm">
                        @Html.DisplayFor(modelItem => item.ABV)
                    </td>
                    <td class="col-sm">
                        @Html.DisplayFor(modelItem => item.StyleId)
                    </td>
                    <td class="col-sm">
                        <a asp-action="Details" asp-route-id="@item.Id">Details </a>
                        @if (User.Identity.IsAuthenticated && User.IsInRole("Admin"))
                        {
                            if (true)//Check if current user has created the beer, if true, allow them to edit it
                            {
                                <a asp-action="Edit" asp-route-id="@item.Id">| Edit |</a>
                                <a asp-action="Delete" asp-route-id="@item.Id"> Delete </a>
                            }
                        }
                    </td>
                </tr>
            }

        </tbody>
    </table>


</body>
